Go Job Hunting at the LQ Job Marketplace
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 02-21-2002, 04:26 PM   #1
Registered: Oct 2001
Location: Dublin, Ireland
Distribution: Mandrake 9.0 mostly!
Posts: 303

Rep: Reputation: 30
Angry Problem's installing program's

I have Mandrake 8.1 & I am having problems installing everything.
I am trying RPM's & trying to untar them & compile from source but all are failing.
I think the reason is cos I installed the development program's when I was installing Mandrake.
Can someone tell me if this could be the problem
Example, I try install a program & when I use RPM the rpm program goes looking for say /usr/bin/progname but instead finds /usr/bin/progname-devel.1.*.* & the installation fail's.
Am I way off here or what?????
Thank's in advance
Old 02-21-2002, 06:34 PM   #2
LQ Addict
Registered: Dec 2001
Location: Brooklyn, NY
Distribution: *NIX
Posts: 3,704

Rep: Reputation: 56
I am confused about what you are doing, if you have an rpm package
become root it's better done in console: open Xterm or like type su
enter password for root
cd into/derictory/where/the/package/is
rpm -ihv package.rpm
that's all, if it fails because of dependencies download all deps and install everything in the manner mentioned above
Old 02-22-2002, 01:42 AM   #3
Registered: Oct 2001
Location: Dublin, Ireland
Distribution: Mandrake 9.0 mostly!
Posts: 303

Original Poster
Rep: Reputation: 30
Sorry, I'll explain a little better.
I was trying to install Mondo rescue & mindi.
I have to download & configure Mindi first before I can install mondo.
I first download Mindi in rpm format & try & install it that way but it need's afio, I then download afio in rpm format & try install that & again try rpm on Mindi but it still says it cant find afio but it is there.
I then uninstall afio & download it in tar.gz format & try to compile it from source but I get an error when I try 'make install' that says I need or something.
I then go off & get & install that, afio still cant see
I am doing all this as root by the way & on teh command line.
This is a fresh install of Mandrake 8.1 & I have compiled from source & used RPM's loads of times in the past without problem's & that is why I think there could be something wrong rather than just failed dependencies.
Any ideas ????

Last edited by amp2000; 02-22-2002 at 01:45 AM.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
problem's with apt-get? sigh_ren Ubuntu 5 11-18-2005 12:22 AM
Problem's running eclipse UmneyDurak Linux - Software 2 09-01-2004 09:29 PM
VIrtual Host common problem's amitabhmca Linux - Newbie 1 01-24-2004 03:22 AM
Problem's with PCMCIA WLAN - want to understand! cnmill Linux - Wireless Networking 5 12-01-2003 11:27 AM
vesa problem's praveen_2003 Linux - Software 2 04-28-2003 03:07 AM

All times are GMT -5. The time now is 06:39 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration